NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.AOCSBuilder Class Reference

Represents a Offset In Face(aka Associative offset curve on face)feature builder. More...

Inheritance diagram for NXOpen.Features.AOCSBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CurveOffsetTypes { Value, ThroughPoint }
 AOCS builder curve offset type enum More...
 
enum  Extend { None, WithinSection }
 AOCS builder extend to each other within section type enum. More...
 
enum  ExtendToFace { None, Boundary }
 AOCS builder extend to face edges type enum. More...
 
enum  FilletOptions { NoFillet, Vector, BestFit, ProjectedVector }
 AOCS builder fillet options type enum. More...
 
enum  OffsetDirection { NormalToCurve, NormalToVector }
 AOCS builder offset direction type enum. More...
 
enum  OffsetDistanceType { Constant, Variable }
 AOCS builder offset distance type enum. More...
 
enum  OffsetType {
  Chordal, Arclength, Geodesic, Tangential,
  Projectdistance
}
 AOCS builder offset type enum. More...
 
enum  Trim { None, WithinSection }
 AOCS builder trim to each other within section type enum. More...
 

Public Member Functions

unsafe NXOpen.Section CloneSection (bool constToVariable, NXOpen.Section sectionFrom)
 Clone section. More...
 
unsafe void FlipAllOffsetsOfSection (NXOpen.Section section)
 Reverse the direction of all offsets of the section. More...
 
unsafe void FlipOffset (NXOpen.NXObject seldimitem)
 Reverse the offset direction. More...
 
unsafe void SynchronizeSectionForValueOrPoint (bool pointType)
 Update the section data of Value or Through-Point type. More...
 
unsafe void SynchronizeSections (bool constToVariable, NXOpen.Section firstSection, NXOpen.Section secondSection)
 Synchronize the second section data consistent to the first one More...
 
unsafe void UpdateCurvesStatus (bool updateLawParm)
 Update result curve status. More...
 
unsafe void UpdateFaces ()
 Update face. More...
 
unsafe void UpdatePostStatusFlag (bool postStatusChanged)
 Update the post-process status flag. More...
 
unsafe bool UpdateSectionData (NXOpen.Section section)
 Update section data for offset More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngularTolerance [get, set]
 Returns or sets the angular tolerance for the AOCS operation. More...
 
unsafe bool AssociativeOutputOption [get, set]
 Returns or sets the associative output option for the AOCS operation. More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitData 
CurveFitData [get]
 Returns the curve fit settings More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitJoin 
CurveFitJoinData [get]
 Returns the curve fit join method More...
 
unsafe
NXOpen.Features.AOCSBuilder.CurveOffsetTypes 
CurveOffsetType [get, set]
 Returns or sets the curve offset type More...
 
unsafe NXOpen.Direction DirectionVector [get, set]
 Returns or sets the offset diection vector More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance for the AOCS operation. More...
 
unsafe
NXOpen.Features.AOCSBuilder.Extend 
ExtendMethod [get, set]
 Returns or sets the extend method option for the AOCS operation. More...
 
unsafe
NXOpen.Features.AOCSBuilder.ExtendToFace 
ExtendToFaceOption [get, set]
 Returns or sets the span option for the AOCS operation. More...
 
unsafe NXOpen.ScCollector FaceCollector [get, set]
 Returns or sets the face collector. More...
 
unsafe NXOpen.Direction FilletDirectionVector [get, set]
 Returns or sets the fillet vector More...
 
unsafe
NXOpen.Features.AOCSBuilder.FilletOptions 
FilletOption [get, set]
 Returns or sets the fillet option More...
 
unsafe NXOpen.Expression FilletRadius [get, set]
 Returns or sets the fillet radius More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
Law [get]
 Returns the law. More...
 
unsafe NXOpen.Section LawString [get, set]
 Returns or sets the law string More...
 
unsafe bool LawStringFlip [get, set]
 Returns or sets the law string flip flag More...
 
unsafe
NXOpen.Features.AOCSBuilder.OffsetDirection 
OffsetDirectionOption [get, set]
 Returns or sets the offset direction vector More...
 
unsafe
NXOpen.Features.AOCSBuilder.OffsetDistanceType 
OffsetDistType [get, set]
 Returns or sets the offset distance type More...
 
unsafe
NXOpen.Features.AOCSBuilder.OffsetType 
OffsetMode [get, set]
 Returns or sets the offset mode for the AOCS operation. More...
 
unsafe
NXOpen.ExpressionSectionSetList 
Offsets [get]
 Returns the list of offsets. More...
 
unsafe NXOpen.Section PointString [get, set]
 Returns or sets the point string More...
 
unsafe NXOpen.Direction ProjectPlaneNormal [get, set]
 Returns or sets the project plane vector More...
 
unsafe bool RemoveSelfIntersections [get, set]
 Returns or sets the remove self intersections flag . More...
 
unsafe bool SplitCurveOption [get, set]
 Returns or sets the split curve at face boundary option . More...
 
unsafe NXOpen.Point ThroughPoint [get, set]
 Returns or sets the through point More...
 
unsafe
NXOpen.Features.AOCSBuilder.Trim 
TrimMethod [get, set]
 Returns or sets the trim method option for the AOCS operation. More...
 
unsafe bool TrimToFaceEdgesOption [get, set]
 Returns or sets the cross boundary option for the AOCS operation. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Offset In Face(aka Associative offset curve on face)feature builder.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateAocsBuilder

Default values.

Property Value

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

CurveFitJoinData.CurveFitOptions.FitOption (deprecated)

Cubic

CurveFitJoinData.CurveFitOptions.MaximumDegree (deprecated)

7

CurveFitJoinData.CurveFitOptions.MaximumSegments (deprecated)

1

Law.Function

ft

Law.LawType

Constant

Law.Parameter

t

Created in NX4.0.0

Member Enumeration Documentation

AOCS builder curve offset type enum

Enumerator
Value 

Value

ThroughPoint 

Through Point

AOCS builder extend to each other within section type enum.

Enumerator
None 

no extension

WithinSection 

allow extension

AOCS builder extend to face edges type enum.

Enumerator
None 

no extentsion

Boundary 

extend till face boundary

AOCS builder fillet options type enum.

Enumerator
NoFillet 

No fillet

Vector 

Vector given

BestFit 

Best fitting

ProjectedVector 

Use Project Vector to fillet

AOCS builder offset direction type enum.

Enumerator
NormalToCurve 

traditional curve normal

NormalToVector 

offset pependicular to vector

AOCS builder offset distance type enum.

Enumerator
Constant 

constant offset

Variable 

variable offset

AOCS builder offset type enum.

Enumerator
Chordal 

offset_type_chordal

Arclength 

offset_type_arclength

Geodesic 

offset_type_geodesic

Tangential 

offset_type_tangential

Projectdistance 

offset_type_projectdistance

AOCS builder trim to each other within section type enum.

Enumerator
None 

no trimming

WithinSection 

allow trimming

Member Function Documentation

unsafe NXOpen.Section NXOpen.Features.AOCSBuilder.CloneSection ( bool  constToVariable,
NXOpen.Section  sectionFrom 
)
inline

Clone section.

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
constToVariablewhether the type change is from constant to variable
sectionFromsection to be cloned
Returns
unsafe void NXOpen.Features.AOCSBuilder.FlipAllOffsetsOfSection ( NXOpen.Section  section)
inline

Reverse the direction of all offsets of the section.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
sectioninput section
unsafe void NXOpen.Features.AOCSBuilder.FlipOffset ( NXOpen.NXObject  seldimitem)
inline

Reverse the offset direction.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
seldimiteminput list item
unsafe void NXOpen.Features.AOCSBuilder.SynchronizeSectionForValueOrPoint ( bool  pointType)
inline

Update the section data of Value or Through-Point type.

Call this method when it is really needed to copy section between value and point.

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
pointTypevalue or point type
unsafe void NXOpen.Features.AOCSBuilder.SynchronizeSections ( bool  constToVariable,
NXOpen.Section  firstSection,
NXOpen.Section  secondSection 
)
inline

Synchronize the second section data consistent to the first one

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
constToVariablewhether the type change is from constant to variable
firstSectionsection as input
secondSectionsection to be st=ynchronized
unsafe void NXOpen.Features.AOCSBuilder.UpdateCurvesStatus ( bool  updateLawParm)
inline

Update result curve status.

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
updateLawParmwhether to update law parm
unsafe void NXOpen.Features.AOCSBuilder.UpdateFaces ( )
inline

Update face.

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe void NXOpen.Features.AOCSBuilder.UpdatePostStatusFlag ( bool  postStatusChanged)
inline

Update the post-process status flag.

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
postStatusChangedwhether the post status changed
unsafe bool NXOpen.Features.AOCSBuilder.UpdateSectionData ( NXOpen.Section  section)
inline

Update section data for offset

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
sectionsection as input
Returns
flag indicating if offset direction flipped

Property Documentation

unsafe double NXOpen.Features.AOCSBuilder.AngularTolerance
getset

Returns or sets the angular tolerance for the AOCS operation.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.AOCSBuilder.AssociativeOutputOption
getset

Returns or sets the associative output option for the AOCS operation.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.CurveFitData NXOpen.Features.AOCSBuilder.CurveFitData
get

Returns the curve fit settings

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.CurveFitJoin NXOpen.Features.AOCSBuilder.CurveFitJoinData
get

Returns the curve fit join method

Created in NX7.5.0

Deprecated in NX10.0.0. Use Features.AOCSBuilder.CurveFitData instead

License requirements: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AOCSBuilder.CurveOffsetTypes NXOpen.Features.AOCSBuilder.CurveOffsetType
getset

Returns or sets the curve offset type

Created in NX11.0.1

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Direction NXOpen.Features.AOCSBuilder.DirectionVector
getset

Returns or sets the offset diection vector

Created in NX7.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe double NXOpen.Features.AOCSBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance for the AOCS operation.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AOCSBuilder.Extend NXOpen.Features.AOCSBuilder.ExtendMethod
getset

Returns or sets the extend method option for the AOCS operation.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AOCSBuilder.ExtendToFace NXOpen.Features.AOCSBuilder.ExtendToFaceOption
getset

Returns or sets the span option for the AOCS operation.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.ScCollector NXOpen.Features.AOCSBuilder.FaceCollector
getset

Returns or sets the face collector.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Direction NXOpen.Features.AOCSBuilder.FilletDirectionVector
getset

Returns or sets the fillet vector

Created in NX7.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AOCSBuilder.FilletOptions NXOpen.Features.AOCSBuilder.FilletOption
getset

Returns or sets the fillet option

Created in NX7.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Expression NXOpen.Features.AOCSBuilder.FilletRadius
getset

Returns or sets the fillet radius

Created in NX7.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.AOCSBuilder.Law
get

Returns the law.

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Section NXOpen.Features.AOCSBuilder.LawString
getset

Returns or sets the law string

Created in NX7.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.AOCSBuilder.LawStringFlip
getset

Returns or sets the law string flip flag

Created in NX7.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AOCSBuilder.OffsetDirection NXOpen.Features.AOCSBuilder.OffsetDirectionOption
getset

Returns or sets the offset direction vector

Created in NX7.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AOCSBuilder.OffsetDistanceType NXOpen.Features.AOCSBuilder.OffsetDistType
getset

Returns or sets the offset distance type

Created in NX7.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AOCSBuilder.OffsetType NXOpen.Features.AOCSBuilder.OffsetMode
getset

Returns or sets the offset mode for the AOCS operation.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.ExpressionSectionSetList NXOpen.Features.AOCSBuilder.Offsets
get

Returns the list of offsets.

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.AOCSBuilder.PointString
getset

Returns or sets the point string

Created in NX11.0.1

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Direction NXOpen.Features.AOCSBuilder.ProjectPlaneNormal
getset

Returns or sets the project plane vector

Created in NX7.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.AOCSBuilder.RemoveSelfIntersections
getset

Returns or sets the remove self intersections flag .

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.AOCSBuilder.SplitCurveOption
getset

Returns or sets the split curve at face boundary option .

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.AOCSBuilder.ThroughPoint
getset

Returns or sets the through point

Created in NX11.0.1

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AOCSBuilder.Trim NXOpen.Features.AOCSBuilder.TrimMethod
getset

Returns or sets the trim method option for the AOCS operation.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.AOCSBuilder.TrimToFaceEdgesOption
getset

Returns or sets the cross boundary option for the AOCS operation.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.